import Vue from 'vue';
import Vuex from 'vuex';
import * as site from './site';
import * as menu from './menu';
import * as modules from './module';
import * as column from './column';
import * as news from './news';
import * as jobinfo from './jobinfo';
import * as posts from './posts';
import * as linkCor from './link-cor';
import * as jobfair from './jobfair';
import * as talk from './talk';
import * as corp from './corp';
import * as advert from './advert';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {},
  mutations: {},
  actions: {},
  modules: {
    site,
    menu,
    modules,
    column,
    news,
    jobinfo,
    posts,
    linkCor,
    jobfair,
    talk,
    corp,
    advert,
  },
});
